View Issue Details

IDProjectCategoryView StatusLast Update
0032832Open CASCADEOCCT:Codingpublic2022-02-19 12:57
Reporteraml Assigned Toaml  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032832: 0032806: Coding - get rid of unused headers [FairCurve to GeomAPI]
DescriptionThis ticket is to clear unused headers in the packages from `FairCurve ` to `GeomAPI`.
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032741 closedbugmaster Coding - get rid of unused headers 

Activities

git

2022-02-14 08:28

administrator   ~0106882

Branch CR32832 has been created by aml.

SHA-1: 172be47eb4ff542e0ed2d68f1bb4629c5ef9caec


Detailed log of new commits:

Author: aml
Date: Wed Jan 12 19:28:12 2022 +0300

    0032832: Coding - get rid of unused headers [FairCurve to GeomAPI]

aml

2022-02-14 11:23

developer   ~0106887

Dear Kirill,

Could you please check the CR32832 branch?

Jenkins job is: http://jenkins-test-occt/view/CR32832-master-aml/view/ALL/

smoskvin

2022-02-19 11:35

administrator   ~0106984

Combination -
OCCT branch : IR-2022-02-18
master SHA - 600ee856316c1a9eb340779b32de511b74465896
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-02-18 SHA - 859115827d7f98f21dc3e653fecea4c712aae052
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18496.730000000363 / 18543.560000000383 [-0.25%]
Products
Total CPU difference: 11705.020000000135 / 11696.60000000009 [+0.07%]
Windows-64-VC14:
OCCT
Total CPU difference: 20453.203125 / 20387.28125 [+0.32%]
Products
Total CPU difference: 13176.3125 / 13150.390625 [+0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-02-19 12:57

administrator   ~0106994

Branch CR32832 has been deleted by mnt.

SHA-1: 172be47eb4ff542e0ed2d68f1bb4629c5ef9caec

Related Changesets

occt: master b66cf6da

2022-01-12 19:28:12

aml


Committer: smoskvin Details Diff
0032832: Coding - get rid of unused headers [FairCurve to GeomAPI] Affected Issues
0032832
mod - src/FairCurve/FairCurve_Batten.cxx Diff File
mod - src/FairCurve/FairCurve_Batten.hxx Diff File
mod - src/FairCurve/FairCurve_DistributionOfJerk.cxx Diff File
mod - src/FairCurve/FairCurve_DistributionOfJerk.hxx Diff File
mod - src/FairCurve/FairCurve_DistributionOfSagging.cxx Diff File
mod - src/FairCurve/FairCurve_DistributionOfSagging.hxx Diff File
mod - src/FairCurve/FairCurve_DistributionOfTension.cxx Diff File
mod - src/FairCurve/FairCurve_DistributionOfTension.hxx Diff File
mod - src/FairCurve/FairCurve_Energy.hxx Diff File
mod - src/FairCurve/FairCurve_EnergyOfBatten.cxx Diff File
mod - src/FairCurve/FairCurve_EnergyOfBatten.hxx Diff File
mod - src/FairCurve/FairCurve_EnergyOfMVC.hxx Diff File
mod - src/FairCurve/FairCurve_MinimalVariation.cxx Diff File
mod - src/FairCurve/FairCurve_MinimalVariation.hxx Diff File
mod - src/FairCurve/FairCurve_Newton.hxx Diff File
mod - src/FEmTool/FEmTool_Assembly.cxx Diff File
mod - src/FEmTool/FEmTool_Assembly.hxx Diff File
mod - src/FEmTool/FEmTool_Curve.cxx Diff File
mod - src/FEmTool/FEmTool_ElementaryCriterion.cxx Diff File
mod - src/FEmTool/FEmTool_ElementaryCriterion.hxx Diff File
mod - src/FEmTool/FEmTool_ElementsOfRefMatrix.hxx Diff File
mod - src/FEmTool/FEmTool_LinearFlexion.cxx Diff File
mod - src/FEmTool/FEmTool_LinearFlexion.hxx Diff File
mod - src/FEmTool/FEmTool_LinearJerk.cxx Diff File
mod - src/FEmTool/FEmTool_LinearJerk.hxx Diff File
mod - src/FEmTool/FEmTool_LinearTension.cxx Diff File
mod - src/FEmTool/FEmTool_LinearTension.hxx Diff File
mod - src/FEmTool/FEmTool_ProfileMatrix.hxx Diff File
mod - src/FEmTool/FEmTool_SparseMatrix.cxx Diff File
mod - src/FEmTool/FEmTool_SparseMatrix.hxx Diff File
mod - src/FilletSurf/FilletSurf_Builder.cxx Diff File
mod - src/FilletSurf/FilletSurf_InternalBuilder.cxx Diff File
mod - src/FilletSurf/FilletSurf_InternalBuilder.hxx Diff File
mod - src/Font/Font_FontMgr.cxx Diff File
mod - src/Font/Font_FontMgr.hxx Diff File
mod - src/Font/Font_SystemFont.hxx Diff File
mod - src/FSD/FSD_BinaryFile.hxx Diff File
mod - src/FSD/FSD_FStream.hxx Diff File
mod - src/GC/GC_MakeConicalSurface.cxx Diff File
mod - src/GC/GC_MakeMirror.cxx Diff File
mod - src/GC/GC_MakePlane.cxx Diff File
mod - src/GC/GC_MakeRotation.cxx Diff File
mod - src/GC/GC_MakeTrimmedCylinder.cxx Diff File
mod - src/GC/GC_Root.hxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn.hxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn_1.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn_10.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn_11.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn_2.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn_3.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn_4.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn_5.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn_6.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn_7.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn_8.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanOn_9.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanRad.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanRad.hxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanRad_1.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanRad_2.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanRad_3.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanRad_4.cxx Diff File
mod - src/GccAna/GccAna_Circ2d2TanRad_5.cxx Diff File
mod - src/GccAna/GccAna_Circ2d3Tan.cxx Diff File
mod - src/GccAna/GccAna_Circ2d3Tan.hxx Diff File
mod - src/GccAna/GccAna_Circ2d3Tan_1.cxx Diff File
mod - src/GccAna/GccAna_Circ2d3Tan_2.cxx Diff File
mod - src/GccAna/GccAna_Circ2d3Tan_3.cxx Diff File
mod - src/GccAna/GccAna_Circ2d3Tan_4.cxx Diff File
mod - src/GccAna/GccAna_Circ2d3Tan_5.cxx Diff File
mod - src/GccAna/GccAna_Circ2d3Tan_6.cxx Diff File
mod - src/GccAna/GccAna_Circ2d3Tan_7.cxx Diff File
mod - src/GccAna/GccAna_Circ2d3Tan_8.cxx Diff File
mod - src/GccAna/GccAna_Circ2d3Tan_9.cxx Diff File
mod - src/GccAna/GccAna_Circ2dBisec.cxx Diff File
mod - src/GccAna/GccAna_Circ2dTanCen.cxx Diff File
mod - src/GccAna/GccAna_Circ2dTanCen.hxx Diff File
mod - src/GccAna/GccAna_Circ2dTanOnRad.cxx Diff File
mod - src/GccAna/GccAna_Circ2dTanOnRad.hxx Diff File
mod - src/GccAna/GccAna_Circ2dTanOnRad_1.cxx Diff File
mod - src/GccAna/GccAna_Circ2dTanOnRad_2.cxx Diff File
mod - src/GccAna/GccAna_Circ2dTanOnRad_3.cxx Diff File
mod - src/GccAna/GccAna_Circ2dTanOnRad_4.cxx Diff File
mod - src/GccAna/GccAna_Circ2dTanOnRad_5.cxx Diff File
mod - src/GccAna/GccAna_CircLin2dBisec.cxx Diff File
mod - src/GccAna/GccAna_CircPnt2dBisec.cxx Diff File
mod - src/GccAna/GccAna_Lin2d2Tan.hxx Diff File
mod - src/GccAna/GccAna_Lin2dBisec.cxx Diff File
mod - src/GccAna/GccAna_Lin2dBisec.hxx Diff File
mod - src/GccAna/GccAna_Lin2dTanObl.cxx Diff File
mod - src/GccAna/GccAna_Lin2dTanObl.hxx Diff File
mod - src/GccAna/GccAna_Lin2dTanPar.cxx Diff File
mod - src/GccAna/GccAna_Lin2dTanPar.hxx Diff File
mod - src/GccAna/GccAna_Lin2dTanPer.cxx Diff File
mod - src/GccAna/GccAna_Lin2dTanPer.hxx Diff File
mod - src/GccAna/GccAna_LinPnt2dBisec.cxx Diff File
mod - src/GccAna/GccAna_Pnt2dBisec.cxx Diff File
mod - src/GccAna/GccAna_Pnt2dBisec.hxx Diff File
mod - src/GccInt/GccInt_BCirc.cxx Diff File
mod - src/GccInt/GccInt_BCirc.hxx Diff File
mod - src/GccInt/GccInt_BElips.cxx Diff File
mod - src/GccInt/GccInt_BElips.hxx Diff File
mod - src/GccInt/GccInt_BHyper.cxx Diff File
mod - src/GccInt/GccInt_BHyper.hxx Diff File
mod - src/GccInt/GccInt_Bisec.cxx Diff File
mod - src/GccInt/GccInt_BLine.cxx Diff File
mod - src/GccInt/GccInt_BLine.hxx Diff File
mod - src/GccInt/GccInt_BParab.cxx Diff File
mod - src/GccInt/GccInt_BParab.hxx Diff File
mod - src/GccInt/GccInt_BPoint.cxx Diff File
mod - src/GccInt/GccInt_BPoint.hxx Diff File
mod - src/gce/gce_MakeCirc.cxx Diff File
mod - src/gce/gce_MakeCirc.hxx Diff File
mod - src/gce/gce_MakeCirc2d.hxx Diff File
mod - src/gce/gce_MakeCone.hxx Diff File
mod - src/gce/gce_MakeCylinder.hxx Diff File
mod - src/gce/gce_MakeDir.hxx Diff File
mod - src/gce/gce_MakeDir2d.hxx Diff File
mod - src/gce/gce_MakeElips.hxx Diff File
mod - src/gce/gce_MakeElips2d.hxx Diff File
mod - src/gce/gce_MakeHypr.hxx Diff File
mod - src/gce/gce_MakeHypr2d.hxx Diff File
mod - src/gce/gce_MakeLin2d.hxx Diff File
mod - src/gce/gce_MakeMirror.cxx Diff File
mod - src/gce/gce_MakeParab.cxx Diff File
mod - src/gce/gce_MakeParab.hxx Diff File
mod - src/gce/gce_MakeParab2d.hxx Diff File
mod - src/gce/gce_MakePln.hxx Diff File
mod - src/gce/gce_MakeRotation.cxx Diff File
mod - src/gce/gce_MakeRotation.hxx Diff File
mod - src/gce/gce_MakeRotation2d.hxx Diff File
mod - src/gce/gce_MakeScale.hxx Diff File
mod - src/gce/gce_MakeScale2d.hxx Diff File
mod - src/GCE2d/GCE2d_Root.hxx Diff File
mod - src/GCPnts/GCPnts_DistFunction.hxx Diff File
mod - src/GCPnts/GCPnts_DistFunction2d.hxx Diff File
mod - src/GCPnts/GCPnts_QuasiUniformAbscissa.cxx Diff File
mod - src/GCPnts/GCPnts_TangentialDeflection.cxx Diff File
mod - src/GCPnts/GCPnts_TangentialDeflection.hxx Diff File
mod - src/GCPnts/GCPnts_UniformDeflection.cxx Diff File
mod - src/Geom/Geom_Axis1Placement.hxx Diff File
mod - src/Geom/Geom_Axis2Placement.cxx Diff File
mod - src/Geom/Geom_Axis2Placement.hxx Diff File
mod - src/Geom/Geom_AxisPlacement.cxx Diff File
mod - src/Geom/Geom_AxisPlacement.hxx Diff File
mod - src/Geom/Geom_BezierCurve.hxx Diff File
mod - src/Geom/Geom_BezierSurface.hxx Diff File
mod - src/Geom/Geom_BSplineCurve.cxx Diff File
mod - src/Geom/Geom_BSplineCurve.hxx Diff File
mod - src/Geom/Geom_BSplineCurve_1.cxx Diff File
mod - src/Geom/Geom_BSplineSurface.cxx Diff File
mod - src/Geom/Geom_BSplineSurface.hxx Diff File
mod - src/Geom/Geom_BSplineSurface_1.cxx Diff File
mod - src/Geom/Geom_CartesianPoint.hxx Diff File
mod - src/Geom/Geom_Circle.hxx Diff File
mod - src/Geom/Geom_ConicalSurface.cxx Diff File
mod - src/Geom/Geom_ConicalSurface.hxx Diff File
mod - src/Geom/Geom_Curve.cxx Diff File
mod - src/Geom/Geom_Curve.hxx Diff File
mod - src/Geom/Geom_CylindricalSurface.cxx Diff File
mod - src/Geom/Geom_CylindricalSurface.hxx Diff File
mod - src/Geom/Geom_Direction.hxx Diff File
mod - src/Geom/Geom_Ellipse.hxx Diff File
mod - src/Geom/Geom_HSequenceOfBSplineSurface.hxx Diff File
mod - src/Geom/Geom_Hyperbola.cxx Diff File
mod - src/Geom/Geom_Hyperbola.hxx Diff File
mod - src/Geom/Geom_Line.cxx Diff File
mod - src/Geom/Geom_Line.hxx Diff File
mod - src/Geom/Geom_OffsetCurve.cxx Diff File
mod - src/Geom/Geom_OffsetCurve.hxx Diff File
mod - src/Geom/Geom_OffsetSurface.cxx Diff File
mod - src/Geom/Geom_OffsetSurface.hxx Diff File
mod - src/Geom/Geom_OsculatingSurface.cxx Diff File
mod - src/Geom/Geom_OsculatingSurface.hxx Diff File
mod - src/Geom/Geom_Parabola.cxx Diff File
mod - src/Geom/Geom_Parabola.hxx Diff File
mod - src/Geom/Geom_Plane.cxx Diff File
mod - src/Geom/Geom_Plane.hxx Diff File
mod - src/Geom/Geom_RectangularTrimmedSurface.cxx Diff File
mod - src/Geom/Geom_RectangularTrimmedSurface.hxx Diff File
mod - src/Geom/Geom_SphericalSurface.hxx Diff File
mod - src/Geom/Geom_Surface.cxx Diff File
mod - src/Geom/Geom_SurfaceOfLinearExtrusion.cxx Diff File
mod - src/Geom/Geom_SurfaceOfLinearExtrusion.hxx Diff File
mod - src/Geom/Geom_SurfaceOfRevolution.cxx Diff File
mod - src/Geom/Geom_SurfaceOfRevolution.hxx Diff File
mod - src/Geom/Geom_ToroidalSurface.cxx Diff File
mod - src/Geom/Geom_ToroidalSurface.hxx Diff File
mod - src/Geom/Geom_Transformation.hxx Diff File
mod - src/Geom/Geom_TrimmedCurve.cxx Diff File
mod - src/Geom/Geom_TrimmedCurve.hxx Diff File
mod - src/Geom/Geom_Vector.cxx Diff File
mod - src/Geom/Geom_Vector.hxx Diff File
mod - src/Geom/Geom_VectorWithMagnitude.cxx Diff File
mod - src/Geom/Geom_VectorWithMagnitude.hxx Diff File
mod - src/Geom2d/Geom2d_AxisPlacement.hxx Diff File
mod - src/Geom2d/Geom2d_BezierCurve.cxx Diff File
mod - src/Geom2d/Geom2d_BezierCurve.hxx Diff File
mod - src/Geom2d/Geom2d_BSplineCurve.cxx Diff File
mod - src/Geom2d/Geom2d_BSplineCurve.hxx Diff File
mod - src/Geom2d/Geom2d_BSplineCurve_1.cxx Diff File
mod - src/Geom2d/Geom2d_CartesianPoint.hxx Diff File
mod - src/Geom2d/Geom2d_Circle.hxx Diff File
mod - src/Geom2d/Geom2d_Curve.cxx Diff File
mod - src/Geom2d/Geom2d_Curve.hxx Diff File
mod - src/Geom2d/Geom2d_Direction.hxx Diff File
mod - src/Geom2d/Geom2d_Ellipse.cxx Diff File
mod - src/Geom2d/Geom2d_Ellipse.hxx Diff File
mod - src/Geom2d/Geom2d_Geometry.cxx Diff File
mod - src/Geom2d/Geom2d_Hyperbola.cxx Diff File
mod - src/Geom2d/Geom2d_Hyperbola.hxx Diff File
mod - src/Geom2d/Geom2d_Line.cxx Diff File
mod - src/Geom2d/Geom2d_Line.hxx Diff File
mod - src/Geom2d/Geom2d_OffsetCurve.cxx Diff File
mod - src/Geom2d/Geom2d_OffsetCurve.hxx Diff File
mod - src/Geom2d/Geom2d_Parabola.cxx Diff File
mod - src/Geom2d/Geom2d_Parabola.hxx Diff File
mod - src/Geom2d/Geom2d_Transformation.cxx Diff File
mod - src/Geom2d/Geom2d_Transformation.hxx Diff File
mod - src/Geom2d/Geom2d_TrimmedCurve.cxx Diff File
mod - src/Geom2d/Geom2d_TrimmedCurve.hxx Diff File
mod - src/Geom2d/Geom2d_Vector.cxx Diff File
mod - src/Geom2d/Geom2d_Vector.hxx Diff File
mod - src/Geom2d/Geom2d_VectorWithMagnitude.cxx Diff File
mod - src/Geom2d/Geom2d_VectorWithMagnitude.hxx Diff File
mod - src/Geom2dAdaptor/Geom2dAdaptor.cxx Diff File
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.cxx Diff File
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.hxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_ExtremaCurveCurve.cxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_ExtremaCurveCurve.hxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_InterCurveCurve.hxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_Interpolate.hxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_PointsToBSpline.cxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_PointsToBSpline.hxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_ProjectPointOnCurve.cxx Diff File
mod - src/Geom2dAPI/Geom2dAPI_ProjectPointOnCurve.hxx Diff File
mod - src/Geom2dConvert/Geom2dConvert.cxx Diff File
mod - src/Geom2dConvert/Geom2dConvert_ApproxCurve.cxx Diff File
mod - src/Geom2dConvert/Geom2dConvert_BSplineCurveKnotSplitting.cxx Diff File
mod - src/Geom2dConvert/Geom2dConvert_BSplineCurveToBezierCurve.cxx Diff File
mod - src/Geom2dConvert/Geom2dConvert_BSplineCurveToBezierCurve.hxx Diff File
mod - src/Geom2dConvert/Geom2dConvert_CompCurveToBSplineCurve.hxx Diff File
mod - src/Geom2dEvaluator/Geom2dEvaluator.hxx Diff File
mod - src/Geom2dEvaluator/Geom2dEvaluator_OffsetCurve.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOn.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOn.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnGeo.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnGeo.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnIter.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanOnIter.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanRad.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanRad.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanRadGeo.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d2TanRadGeo.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d3Tan.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d3Tan.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d3TanIter.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2d3TanIter.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanCen.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanCen.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanCenGeo.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanOnRad.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanOnRad.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanOnRadGeo.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Circ2dTanOnRadGeo.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_CurveTool.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_CurveTool.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCirCu.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCirCu.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuCu.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuCu.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuCuCu.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuCuCu.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuCuOnCu.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuCuOnCu.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuPnt.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuPnt.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanObl.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanObl.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_IsParallel.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Lin2d2Tan.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Lin2d2Tan.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Lin2d2TanIter.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Lin2d2TanIter.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Lin2dTanObl.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Lin2dTanObl.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Lin2dTanOblIter.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_Lin2dTanOblIter.hxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_QCurve.cxx Diff File
mod - src/Geom2dGcc/Geom2dGcc_QualifiedCurve.cxx Diff File
mod - src/Geom2dHatch/Geom2dHatch_Classifier.hxx Diff File
mod - src/Geom2dHatch/Geom2dHatch_Elements.cxx Diff File
mod - src/Geom2dHatch/Geom2dHatch_Elements.hxx Diff File
mod - src/Geom2dHatch/Geom2dHatch_FClass2dOfClassifier.hxx Diff File
mod - src/Geom2dHatch/Geom2dHatch_Hatcher.cxx Diff File
mod - src/Geom2dHatch/Geom2dHatch_Hatching.cxx Diff File
mod - src/Geom2dHatch/Geom2dHatch_Hatching.hxx Diff File
mod - src/Geom2dHatch/Geom2dHatch_Intersector.cxx Diff File
mod - src/Geom2dHatch/Geom2dHatch_Intersector.hxx Diff File
mod - src/Geom2dHatch/Geom2dHatch_MapOfElements.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_Geom2dCurveTool.cxx Diff File
mod - src/Geom2dInt/Geom2dInt_Geom2dCurveTool.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_GInter.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_IntConicCurveOfGInter.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_MyImpParToolOfTheIntersectorOfTheIntConicCurveOfGInter.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_PCLocFOfTheLocateExtPCOfTheProjPCurOfGInter.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_TheCurveLocatorOfTheProjPCurOfGInter.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfGInter.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_TheIntConicCurveOfGInter.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_TheIntersectorOfTheIntConicCurveOfGInter.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_TheIntPCurvePCurveOfGInter.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_TheLocateExtPCOfTheProjPCurOfGInter.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_ThePolygon2dOfTheIntPCurvePCurveOfGInter.hxx Diff File
mod - src/Geom2dInt/Geom2dInt_TheProjPCurOfGInter.hxx Diff File
mod - src/Geom2dLProp/Geom2dLProp_CurAndInf2d.cxx Diff File
mod - src/Geom2dLProp/Geom2dLProp_CurAndInf2d.hxx Diff File
mod - src/Geom2dLProp/Geom2dLProp_Curve2dTool.hxx Diff File
mod - src/Geom2dLProp/Geom2dLProp_FuncCurExt.cxx Diff File
mod - src/Geom2dLProp/Geom2dLProp_FuncCurExt.hxx Diff File
mod - src/Geom2dLProp/Geom2dLProp_FuncCurNul.cxx Diff File
mod - src/Geom2dLProp/Geom2dLProp_FuncCurNul.hxx Diff File
mod - src/Geom2dLProp/Geom2dLProp_NumericCurInf2d.hxx Diff File
mod - src/Geom2dToIGES/Geom2dToIGES_Geom2dCurve.cxx Diff File
mod - src/Geom2dToIGES/Geom2dToIGES_Geom2dCurve.hxx Diff File
mod - src/Geom2dToIGES/Geom2dToIGES_Geom2dEntity.cxx Diff File
mod - src/Geom2dToIGES/Geom2dToIGES_Geom2dEntity.hxx Diff File
mod - src/Geom2dToIGES/Geom2dToIGES_Geom2dPoint.cxx Diff File
mod - src/Geom2dToIGES/Geom2dToIGES_Geom2dVector.cxx Diff File
mod - src/GeomAdaptor/GeomAdaptor.cxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_Curve.cxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_Surface.cxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_SurfaceOfLinearExtrusion.hxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_SurfaceOfRevolution.hxx Diff File
mod - src/GeomAPI/GeomAPI.cxx Diff File
mod - src/GeomAPI/GeomAPI_ExtremaCurveCurve.cxx Diff File
mod - src/GeomAPI/GeomAPI_ExtremaCurveCurve.hxx Diff File
mod - src/GeomAPI/GeomAPI_ExtremaCurveSurface.cxx Diff File
mod - src/GeomAPI/GeomAPI_ExtremaCurveSurface.hxx Diff File
mod - src/GeomAPI/GeomAPI_ExtremaSurfaceSurface.cxx Diff File
mod - src/GeomAPI/GeomAPI_ExtremaSurfaceSurface.hxx Diff File
mod - src/GeomAPI/GeomAPI_IntCS.cxx Diff File
mod - src/GeomAPI/GeomAPI_IntCS.hxx Diff File
mod - src/GeomAPI/GeomAPI_Interpolate.cxx Diff File
mod - src/GeomAPI/GeomAPI_Interpolate.hxx Diff File
mod - src/GeomAPI/GeomAPI_IntSS.hxx Diff File
mod - src/GeomAPI/GeomAPI_PointsToBSpline.cxx Diff File
mod - src/GeomAPI/GeomAPI_PointsToBSpline.hxx Diff File
mod - src/GeomAPI/GeomAPI_PointsToBSplineSurface.cxx Diff File
mod - src/GeomAPI/GeomAPI_PointsToBSplineSurface.hxx Diff File
mod - src/GeomAPI/GeomAPI_ProjectPointOnCurve.cxx Diff File
mod - src/GeomAPI/GeomAPI_ProjectPointOnCurve.hxx Diff File
mod - src/GeomAPI/GeomAPI_ProjectPointOnSurf.cxx Diff File
mod - src/GeomAPI/GeomAPI_ProjectPointOnSurf.hxx Diff File

Issue History

Date Modified Username Field Change
2022-02-14 08:27 aml New Issue
2022-02-14 08:27 aml Assigned To => aml
2022-02-14 08:27 aml Relationship added child of 0032741
2022-02-14 08:28 git Note Added: 0106882
2022-02-14 11:23 aml Assigned To aml => kgv
2022-02-14 11:23 aml Status new => resolved
2022-02-14 11:23 aml Note Added: 0106887
2022-02-14 15:34 kgv Assigned To kgv => bugmaster
2022-02-14 15:34 kgv Status resolved => reviewed
2022-02-19 11:35 smoskvin Status reviewed => tested
2022-02-19 11:35 smoskvin Note Added: 0106984
2022-02-19 11:36 smoskvin Test case number => Not required
2022-02-19 12:43 smoskvin Changeset attached => occt master b66cf6da
2022-02-19 12:43 aml Assigned To bugmaster => aml
2022-02-19 12:43 aml Status tested => verified
2022-02-19 12:43 aml Resolution open => fixed
2022-02-19 12:57 git Note Added: 0106994